Bug 804368 - [abrt] kernel: WARNING: at include/linux/rcupdate.h:242 __perf_event_overflow+0x2b3/0x300()
[abrt] kernel: WARNING: at include/linux/rcupdate.h:242 __perf_event_overflow...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:638fe51cac777a56e07f1cb0ed0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 06:17 EDT by Juanjo Marin
Modified: 2012-03-19 11:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 11:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juanjo Marin 2012-03-18 06:17:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-0.rc7.git0.3.fc17.x86_64 root=UUID=aea1c18c-0bf8-471c-aad0-3b22439d40bd ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks=0 KEYTABLE=es LANG=en_US.UTF-8 rhgb quiet
comment:        I was launching powertop
event_log:      2012-03-18-11:16:02> Smolt profile successfully saved
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         WARNING: at include/linux/rcupdate.h:242 __perf_event_overflow+0x2b3/0x300()
time:           Sun 18 Mar 2012 11:12:29 AM CET

backtrace:
:WARNING: at include/linux/rcupdate.h:242 __perf_event_overflow+0x2b3/0x300()
:Hardware name: 42844LG
:Modules linked in: cpufreq_stats fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi rfcomm ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables raid1 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev cdc_ncm v4l2_compat_ioctl32 usbnet cdc_acm cdc_wdm media mii arc4 btusb iwlwifi mac80211 bluetooth iTCO_wdt iTCO_vendor_support i2c_i801 snd_hda_codec_conexant cfg80211 e1000e thinkpad_acpi microcode snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd rfkill soundcore uinput sdhci_pci sdhci firewire_ohci firewire_core mmc_core crc_itu_t wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/2 Not tainted 3.3.0-0.rc7.git0.3.fc17.x86_64 #1
:Call Trace:
: [<ffffffff81060dff>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81060e5a>] warn_slowpath_null+0x1a/0x20
: [<ffffffff81146e33>] __perf_event_overflow+0x2b3/0x300
: [<ffffffff81332cc4>] ? debug_object_activate+0x84/0x190
: [<ffffffff81146ed1>] perf_swevent_overflow+0x51/0xd0
: [<ffffffff81146fbf>] perf_swevent_event+0x6f/0x90
: [<ffffffff81147076>] perf_tp_event+0x96/0x100
: [<ffffffff8113d1d2>] perf_trace_power+0xc2/0xe0
: [<ffffffff8108f9f0>] ? __hrtimer_start_range_ns+0x160/0x5e0
: [<ffffffff815193f5>] ? cpuidle_idle_call+0x2a5/0x540
: [<ffffffff815193f5>] cpuidle_idle_call+0x2a5/0x540
: [<ffffffff81018225>] cpu_idle+0xc5/0x140
: [<ffffffff8168a11b>] start_secondary+0x290/0x292

smolt_data:
:
:
:General
:=================================
:UUID: 6bbde86e-4f4c-4105-9cb3-6ca0bf84c5cb
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4784.82
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2760QM CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2401
:System Memory: 3811
:System Swap: 4105
:Vendor: LENOVO
:System: 42844LG ThinkPad W520
:Form factor: Notebook
:Kernel: 3.3.0-0.rc7.git0.3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8657) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3900846 2333542 2294478 983040 786287 786287
:/dev/md0 /home ext4 4096 4096 116880589 77192311 71341971 29253632 29047589 29047589
:/dev/sdb1 WITHHELD ext4 4096 4096 5073184 4299407 4044943 1272960 1209377 1209377
:/dev/sda4 /boot ext3 4096 4096 129125 111334 104781 32768 32533 32533
:
Comment 1 Dave Jones 2012-03-19 11:17:59 EDT
This warning will go away for the final f17 release as debug checks get turned off (except in -debug builds).

The underlying problem is queued to be fixed for real in 3.4.
It's a rather large patch-set, so is unlikely to be backported to 3.3

Note You need to log in before you can comment on or make changes to this bug.